# -*- encoding: utf-8 -*-
$:.push File.expand_path(File.join('..', 'lib'), __FILE__)
require 'tweety_bird/metadata'

Gem::Specification.new do |s|
  s.name        = 'tweety_bird'
  s.version     = TweetyBird::VERSION
  s.platform    = Gem::Platform::RUBY
  s.license     = TweetyBird::LICENSE
  s.homepage    = TweetyBird::HOMEPAGE
  s.author      = TweetyBird::AUTHOR
  s.email       = TweetyBird::EMAIL
  s.summary     = TweetyBird::SUMMARY
  s.description = TweetyBird::SUMMARY + '.'

  s.add_runtime_dependency 'thor', '~> 0'
  s.add_runtime_dependency 'slog', '~> 1.1.0'
  s.add_runtime_dependency 'ridley', '~> 4.1'
  s.add_runtime_dependency 'daybreak', '~> 0.3'
  s.add_runtime_dependency 'sinatra', '~> 1.4'
  s.add_runtime_dependency 'chronic', '~> 0.10.2'

  s.files         = `git ls-files`.split("\n")
  s.test_files    = `git ls-files -- test/*`.split("\n")
  s.executables   = `git ls-files -- bin/*`.split("\n").map { |f| File::basename(f) }
  s.require_paths = %w[ lib ]
end